<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kxs.system.biz.mapper.KxsBannerMapper">

    <resultMap type="com.kxs.system.api.model.KxsBanner" id="KxsBannerMap">
        <result column="id" property="id" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="del_flag" property="delFlag" />
        <result column="version" property="version" />
        <result column="title" property="title" />
        <result column="pic_url" property="picUrl" />
        <result column="url" property="url" />
        <result column="col_id" property="colId" />
        <result column="remark" property="remark" />
        <result column="status" property="status" />
        <result column="contents" property="contents" />
        <result column="sort" property="sort" />

    </resultMap>
    <select id="selectByList" resultType="com.kxs.system.api.vo.kxsapp.banner.BannerListVO">
        select id, title, pic_url, url, remark
        from kxs_banner
        <where>
            and del_flag = 0
            and status = 1
            and col_id = #{colId}
        </where>
        order by sort asc
    </select>

</mapper>
